use clap::Parser;
use std::path::PathBuf;
use tracing::Level;

#[derive(Parser)]
#[command(author, version, about)]
pub struct Args {
    /// Use a custom config file
    #[arg(short, long, value_name = "FILE")]
    pub config: Option<PathBuf>,

    /// Set a log level
    #[arg(short, long, value_name = "LEVEL", default_value_t = Level::INFO)]
    pub log_level: Level,
}
