use crate::schema::reminders;
use diesel::prelude::*;
use time::OffsetDateTime;

#[derive(AsChangeset, Debug, Identifiable, Queryable)]
pub struct Reminder {
    id: i32,
    created: OffsetDateTime,
    pub planned: OffsetDateTime,
    executed: Option<OffsetDateTime>,
    pub title: String,
    pub message: String,
    pub receiver: String,
}

#[derive(Insertable)]
#[diesel(table_name = reminders)]
pub struct NewReminder<'a> {
    pub created: OffsetDateTime,
    pub planned: OffsetDateTime,
    pub title: &'a str,
    pub message: &'a str,
    pub receiver: &'a str,
}
